CREATE TABLE irc_batch_offer_items (
    BATCH_OFFER_ITEM_ID       NUMBER(18, 0),
    BATCH_OFFER_ID            NUMBER(18, 0)    NOT NULL,
    OFFER_ID                  NUMBER(18, 0),
    STATUS_CODE               VARCHAR2(120),
    OFFER_STATUS_CODE         VARCHAR2(120),
    ASSIGNMENT_STATUS_CODE    VARCHAR2(120),
    PAYROLL_STATUS_CODE       VARCHAR2(120),
    SALARY_STATUS_CODE        VARCHAR2(120),
    CMP_STATUS_CODE           VARCHAR2(120),
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)     NOT NULL,
    CREATED_BY                VARCHAR2(256)    NOT NULL,
    CREATION_DATE             TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128),
    BATCH_OFFER_ITEM_ID       NUMBER(18, 0),
    BATCH_OFFER_ID            NUMBER(18, 0)    NOT NULL,
    OFFER_ID                  NUMBER(18, 0),
    STATUS_CODE               VARCHAR2(120),
    OFFER_STATUS_CODE         VARCHAR2(120),
    ASSIGNMENT_STATUS_CODE    VARCHAR2(120),
    PAYROLL_STATUS_CODE       VARCHAR2(120),
    SALARY_STATUS_CODE        VARCHAR2(120),
    CMP_STATUS_CODE           VARCHAR2(120),
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)     NOT NULL,
    CREATED_BY                VARCHAR2(256)    NOT NULL,
    CREATION_DATE             TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128),
    CONSTRAINT pk_irc_batch_offer_items PRIMARY KEY (BATCH_OFFER_ITEM_ID, BATCH_OFFER_ITEM_ID)
);
